Imagick::getImageCompose
Imagick::getImageCompressionQuality
Imagick
PHP Manual

# Imagick::getImageCompression

(PECL imagick 2.2.2)

Imagick::getImageCompression — Gets the current image's compression type

### Description

int Imagick::getImageCompression ( void )

Gets the current image's compression type.

### Return Values

Returns the compression constant

Imagick::getImageCompose
Imagick::getImageCompressionQuality
Imagick
PHP Manual